Sub Item_Open()
	Set objArgs = WScript.Arguments
	Set objApp = CreateObject("Outlook.Application")
	Set objMail = objApp.CreateItem(olMailItem)
	
	If objArgs.Count > 0 Then
	
	End If
	
End Sub

Set sObjArgs = WScript.Arguments
Set sObjApp = CreateObject("Outlook.Application")
Set sObjNamespace = sObjApp.GetNameSpace("MAPI")

Dim strFirstName
Dim strLastName
Dim strEmail
Dim strCompanyName
Dim strStreetAddress

If sObjArgs.Count > 0 Then

	strFirstName = sObjArgs(0)
	strLastName = sObjArgs(1)
	strEmail = sObjArgs(2)
	strCompanyName = sObjArgs(3)
	strStreetAddress = sObjArgs(4)
	strCity = sObjArgs(5)
	strState = sObjArgs(6)
	strPostalCode = sObjArgs(7)
	strCountry = sObjArgs(8)
	strPhone = sObjArgs(9)
	strFax = sObjArgs(10)
	strWeb = sObjArgs(11)
	strNotes = sObjArgs(12)

' Execute
EditContact()

Else

	MsgBox "Invalid number of arguments!"
	
End If


Function NewContact()

	Set objContact = sObjApp.CreateItem(2)

	If sObjArgs.Count > 0 Then
		
		With objContact
			.FirstName = strFirstName
			.LastName = strLastName
			.Email1Address = strEmail
			.CompanyName = strCompanyName
			.BusinessAddressStreet = strStreetAddress
			.BusinessAddressCity = strCity
			.BusinessAddressState = strState
			.BusinessAddressPostalCode = strPostalCode
			.BusinessAddressCountry = strCountry
			.BusinessTelephoneNumber = strPhone
			.BusinessFaxNumber = strFax
			.BusinessHomePage = strWeb
			.Body = strNotes
		End With
		
		Set NewContact = objContact
	End If

End Function

Function FindContact()
	
    Set objContacts = sObjNamespace.GetDefaultFolder(10).Items

   	If sObjArgs.Count > 0 Then
   	
   		strFilter = "[FirstName] = '" & strFirstName & "' and [LastName] = '" & strLastName & "'"
   		Set objContact = objContacts.Find(strFilter)
   		
   		If TypeName(objContact) <> "Nothing" Then
			With objContact
				.Email1Address = strEmail
				.CompanyName = strCompanyName
				.BusinessAddressStreet = strStreetAddress
				.BusinessAddressCity = strCity
				.BusinessAddressState = strState
				.BusinessAddressPostalCode = strPostalCode
				.BusinessAddressCountry = strCountry
				.BusinessTelephoneNumber = strPhone
				.BusinessFaxNumber = strFax
				.BusinessHomePage = strWeb
				.Body = strNotes
			End With
		End If
   		
   		' return the object
   		Set FindContact = objContact
   	End If
        
End Function

Sub EditContact()

	Set objContact = FindContact
	
	If TypeName(objContact) = "Nothing" Then
		Set objContact = NewContact
	End If
	
	objContact.Display
	Set objContact = Nothing
	
End Sub